@import "fonts";
@import "variables";
@import "grid";

html, body {
  font-size: 16px;
  margin: 0;
  font-family: Roboto, Arial, sans-serif;
  color: $font-color;
  background: $body-bg;
}

input, button { outline: none; }

.page {
  margin: 0 0 $footer-height $sidebar-width; transition: all $transition-delay;

  @media (max-width: $mobile) {
    margin-left: 0;
  }
}

.header {
  background-color: $header-background-color; position: relative; padding: 1rem;
  display: flex; flex-direction: row; align-items: center; min-height: 2rem;

  &-logout { position: absolute; right: 1rem; cursor: pointer; font-size: 0.8rem; color: $header-logout-font-color;}

  &-locales {
    position: absolute;
    right: 1rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 10rem;
    height: 2rem;

    &-item {
      width: 2rem;
      height: 2rem;
      margin: .5rem;
    }
  }

  @media (max-width: $mobile) {
    padding: 1rem 0 1rem ($sidebar-toggle-width + 0.8rem);
  }
}

.sidebar {
  background-color: $sidebar-background-color; position: fixed; width: $sidebar-width; height: 100vh;
  left: 0; top: 0; transition: all $transition-delay; z-index: 10;

  &-logo { padding: 20px 0; background-image: url(/images/header-profile.png);

    &-image { margin: 0 auto; height: 100px; display: block; }
  }

  &-link {
    display: block; height: 1rem; color: $sidebar-font-color; padding: 1rem; text-decoration: none; font-size: 0.9rem;

    &:hover { background-color: $sidebar-background-color-hover; color: $sidebar-font-color-hover; }
  }

  &-icon { padding-right: 0.5rem; }

  &-title { font-weight: 700; }

  &-checkbox { display: none; }

  &-toggle { display: none; }

  & .nuxt-link-active { background-color: $sidebar-background-color-hover; border-left: 4px solid $sidebar-active-link-color; }

  @media (max-width: $mobile) {
    &-logo { display: none; }

    &-toggle {
      display: block; top: 0.8rem; left: $sidebar-width; position: fixed; font-size: 1.5rem;
      cursor: pointer; z-index: 100; padding: 0 0.8rem; transition: all $transition-delay;
    }

    &-checkbox {
      &:checked ~ .sidebar { left: -$sidebar-width; }

      &:checked ~ .page { margin-left: 0; }

      &:checked ~ .sidebar-toggle { left: 0; }
    }
  }
}

.main { position: relative; padding: 1rem; }

.footer {
  position: fixed; background-color: $footer-background-color; padding: 0.5rem; font-size: 0.8rem;
  border-top: 1px solid $footer-border-color; left: 0; right: 0; bottom: 0; z-index: 10000000000;
}

.mock {
  &-page { height: 100%; display: flex; justify-content: center; align-items: center; }

  &-label { text-align: center; }

  &-container {
    display: flex; justify-content: center; align-content: center; width: 100%; height: $mock-container-height;
    flex-direction: column;
  }
}

.button {
  border-radius: 3px; padding: 1rem 1rem; font-size: 1rem; margin-top: 1rem; cursor: pointer;
  text-decoration: none; box-sizing: content-box; border: none;

  &-default { color: $button-default-font-color; background-color: $button-default-background-color; }

  &-success { color: $button-success-font-color; background-color: $button-success-background-color; }

  &-danger { color: $button-danger-font-color; background-color: $button-danger-background-color; }

  &-info { color: $button-info-font-color; background-color: $button-info-background-color; }

  &-warning { color: $button-warning-font-color; background-color: $button-warning-background-color; }

  &-restore { position: fixed; bottom: 3rem; right: 2rem; }
}

.box {
  background-color: $box-background-color; border: 1px solid $box-border-color; border-left: 0; border-right: 0;
  position: absolute; min-width: 200px; min-height: 3rem;

  &-title {
    border-width: 2px 0 0; margin-bottom: 0; padding: 1rem 1rem 0.5rem; background-color: $box-background-color;
    border-color: $box-border-color; border-style: solid solid none; min-height: 1.5rem;

    h5 { display: inline-block; float: left; margin: 0 0 0.5rem; padding: 0; text-overflow: ellipsis;}
  }

  &-tools { float: right;

    &-link { cursor: pointer; border: inherit; color: inherit;}
  }

  &-content {
    border-top: 1px solid $box-border-color; padding: 15px 20px; background-color: $box-background-color;
    border-color: $box-border-color; color: inherit; transition: all $transition-delay; box-sizing: border-box;

    &-hidden { max-height: 0; overflow: hidden; padding-top: 0; padding-bottom: 0;}
  }

  &-footer {
    padding: 1rem;
  }

  &-resizer {
    position: absolute; width: 0; height: 0; right: 0; bottom: 0; cursor: se-resize; border-style: solid;
    border-color: darkgray; border-bottom-width: 5px; border-right-width: 5px; box-sizing: border-box;
    border-left-color: transparent; border-top-color: transparent;
  }
}

.table {
  &-header {
    height: 1.5rem; font-weight: 700; border-bottom: solid; border-width: 1px; border-color: $table-header-border-color;
    margin-top: 5px; padding: 0.25rem;
  }

  &-row {
    height: 100%; padding: 0.5rem; border-bottom: 1px solid #e7eaec; cursor: pointer; color: $table-row-border-color;
    text-align: left; min-height: 1rem;

    &.even { background-color: $table-row-odd-background-color; }

    &.odd { background-color: $table-row-even-background-color; }
  }
}

.buttons-list {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 1rem;

  & .button {
    margin: 0 1rem;
  }
}

.transactions-sum {
  text-align: center;
}
